import numpy as np

def adj_r2(r2, y_test, X_test):
    return 1 - (1-r2)*(y_test.size-1)/(y_test.size-X_test.shape[1]-1)

def mape(y_true,y_pred):
    y_trie, y_pred = np.array(y_true), np.array(y_pred)
    return np.mean(np.abs((y_true - y_pred)/y_true )) * 100